/* Revert some base styles */

.text-content,
.cke_editable {
  & p {
    margin: revert;
  }
  & a {
    text-decoration: revert;
  }
}


.text-content,
.cke_editable {
  & h1 {
    margin-block: var(--sp0-5);
    color: var(--color--primary);
    font-family: var(--font-sans);
  }
  & h2,
  & h3,
  & h4,
  & h5,
  & h6 {
    margin-block-start: var(--sp1-5);
    margin-block-end: var(--sp0-5);
    color: var(--color--primary);
    font-family: var(--font-sans);
    font-weight: 500;
    font-size: 19px;
    line-height: 22px;

    @media (--md) {
      margin-block: var(--sp);
    }
  }
  & h2 {
    font-weight: 700;
  }

  & strong {
    font-weight: 600;
  }
}